LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSvgParser Interface Reference

XSvgParser interface. More...

`import <XSvgParser.idl;`

Inheritance diagram for XSvgParser:

## Public Member Functions
sequence< XPrimitive2D > | getDecomposition ([in] io::XInputStream xSvgStream, [in] string aAbsolutePath)
| Retrieve decomposed list of simpler primitives.
any | getDrawCommands ([in] io::XInputStream xSvgStream, [in] string aAbsolutePath)
| Get the "draw command" graph that is created from the SVG content.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

XSvgParser interface.

This interface allows to parse a SVG stream in form of a sequence of bytes to be parsed into a sequence of XPrimitive2Ds

## Member Function Documentation

## ◆ getDecomposition()

sequence< XPrimitive2D > getDecomposition | ( | [in] io::XInputStream | xSvgStream,
|  | [in] string | aAbsolutePath )

Retrieve decomposed list of simpler primitives.

Parameters

  xSvgStream | The file containing the SVG XML data
  aAbsolutePath | The path containing the SVG XML data

## ◆ getDrawCommands()

any getDrawCommands | ( | [in] io::XInputStream | xSvgStream,
|  | [in] string | aAbsolutePath )

Get the "draw command" graph that is created from the SVG content.

Parameters

  xSvgStream | The file containing the SVG XML data
  aAbsolutePath | The path containing the SVG XML data

Since
  LibreOffice 6.3

The documentation for this interface was generated from the following file:

- com/sun/star/graphic/XSvgParser.idl